﻿using Microsoft.AspNetCore.Mvc;
using PetCompanion.Repositories;

namespace PetCompanion.Controllers
{
    [ApiController]
    [Route("api/v1/[controller]")]
    public class GameDataController : Controller
    {
        private readonly GameItemsRepository gameItemsRepository;
        private readonly ILogger<InventoryController> logger;
        private readonly Guid userId = Guid.Parse("f5f4b3b3-3b7b-4b7b-8b7b-7b7b7b7b7b7b");

        public GameDataController(
            ILogger<InventoryController> logger,
            GameItemsRepository gameItemsRepository)
        {
            this.logger = logger;
            this.gameItemsRepository = gameItemsRepository;
        }

        [HttpGet("item/icon/{itemId}")]
        public IActionResult GetItemIcon(int itemId)
        {
            try
            {
                var iconBytes = gameItemsRepository.GetItemIcon(itemId);
                return File(iconBytes, "image/png");
            }
            catch (Exception ex)
            {
                return BadRequest(ex.Message);
            }
        }
    }
}
